## visad
Class ScalarMapControlEvent

    java.lang.Object
      java.awt.Event
          visad.VisADEvent
              visad.ScalarMapEvent
                  visad.ScalarMapControlEvent

All Implemented Interfaces:
  Serializable

public class ScalarMapControlEvent
extends ScalarMapEvent

`ScalarMapControlEvent` is the VisAD class for control-related `Event`s from `ScalarMap` objects. They are sourced by `ScalarMap` objects and received by `ScalarMapListener` objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.ScalarMapEvent
`AUTO_SCALE, CONTROL_ADDED, CONTROL_REMOVED, CONTROL_REPLACED, MANUAL, UNKNOWN`

Fields inherited from class visad.VisADEvent
`LOCAL_SOURCE, UNKNOWN_REMOTE_SOURCE`

Fields inherited from class java.awt.Event

`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`ScalarMapControlEvent(ScalarMap map, int id, Control ctl)` Create a control-related `ScalarMap` event

Method Summary
`Control` `getControl()` Get the `Control` referred to by this event.
`String` `toString()`

Methods inherited from class visad.ScalarMapEvent
`getId, getIdString, getMapString, getScalarMap`

Methods inherited from class visad.VisADEvent
`getRemoteId, isRemote`

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScalarMapControlEvent

    public ScalarMapControlEvent(ScalarMap map,
                                 int id,
                                 Control ctl)

  Create a control-related `ScalarMap` event

Parameters:
  `map` - the map to which this event refers
  `id` - the event type.
  `ctl` - the control.

Method Detail

### getControl

    public Control getControl()

  Get the `Control` referred to by this event.

  Returns:
    the `Control`

### toString

    public String toString()

  Overrides:
    `toString` in class `ScalarMapEvent`